Method: projects.locations.accessPolicies.searchPolicyBindings

Returns all policy bindings that bind a specific policy if a user has searchPolicyBindings permission on that policy.

HTTP request

GET https://iam.googleapis.com/v3/{name=projects/*/locations/*/accessPolicies/*}:searchPolicyBindings

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the Unified Access Policy.

Format: * organizations/{organizationId}/locations/{location}/accessPolicies/{unified_access_policy_id} * folders/{folderId}/locations/{location}/accessPolicies/{unified_access_policy_id} * projects/{projectId}/locations/{location}/accessPolicies/{unified_access_policy_id} * projects/{projectNumber}/locations/{location}/accessPolicies/{unified_access_policy_id}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of Unified Access Policy bindings to return. The service might return a smaller number of bindings.

If unspecified, at most 50 bindings are returned. The maximum value is 1000; values above 1000 are reduced to 1000.

pageToken

string

Optional. A page token, received from a previous SearchAccessPolicyBindingsRequest call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to SearchAccessPolicyBindingsRequest must match the call that provided the page token.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of SearchAccessPolicyBindingsResponse.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/iam

For more information, see the Authentication Overview.